petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetKSP

Returns the KSP context for a SNES solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetKSP(SNES snes,KSP *ksp)

Not Collective, but if SNES object is parallel, then KSP object is parallel Many br

### Input Parameter

snes -the SNES context Many br

### Output Parameter

ksp -the KSP context Many br

### Notes

The user can then directly manipulate the KSP context to set various Many broptions, etc. Likewise, the user can then extract and manipulate the Many brPC contexts as well. Many br

Many br

### Keywords

SNES, nonlinear, get, KSP, context

### See Also

KSPGetPC(), SNESCreate(), KSPCreate(), SNESSetKSP()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex1f.F.html
src/snes/examples/tutorials/ex74f.F90.html